.slides-box {
    position: relative;
    border: 1px solid #333;
    padding: 1rem;
    height: 90%;
    margin-bottom: 1.5rem;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
}

.slides-box:hover {
    border: 1px solid #181818;
    box-shadow: rgba(97, 97, 97, 0.2) 0px 3px 8px;
}

.slides-pic {
    width: 100%;
    overflow: hidden;
}

.slides-pic img {
    object-fit: cover;
    width: 100%;
    aspect-ratio: 16/9;
}

.slides-title {
    text-overflow: ellipsis;
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    line-height: 1.5;
    font-size: 17px;
    margin-top: 0.5rem;
    color: #212121;
}

.slides-box a:hover~.slides-title {
    color: var(--main-blue);
}

.slides-box .link-box {
    color: var(--main);
    border: 1px solid #dfdfdf;
    margin-top: 10px;
    position: relative;
    display: flex;
    border-radius: 5px;
    justify-content: space-evenly;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    transition: all .2s cubic-bezier(.01, .62, .32, -0.44);
}

.slides-box .link-box:hover {
    border: 1px solid var(--main);
}

.slides-box .link-box p {
    margin-bottom: 0;
    padding: 0 10px;
}